org.apache.ignite.internal.visor.consistency

## Class AbstractConsistencyTask<A,J>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,VisorConsistencyTaskResult,J>
  - - org.apache.ignite.internal.visor.consistency.AbstractConsistencyTask<A,J>

Type Parameters:
  `A` - Task argument type.
  `J` - Job result type

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<A>,VisorConsistencyTaskResult>

Direct Known Subclasses:
  VisorConsistencyRepairTask, VisorConsistencyStatusTask

    public abstract class AbstractConsistencyTask<A,J>
    extends VisorMultiNodeTask<A,VisorConsistencyTaskResult,J>

Base class for Consistency tasks.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`AbstractConsistencyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorConsistencyTaskResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`job, jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConsistencyTask

    public AbstractConsistencyTask()

### Method Detail

#### reduce0

    protected VisorConsistencyTaskResult reduce0(List<ComputeJobResult> results)
                                          throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<A,VisorConsistencyTaskResult,J>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022